ID CVE-2018-9559
Summary In persist_set_key and other functions of cryptfs.cpp, there is a possible out-of-bounds write due to an uncaught error. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation. Product: Android. Versions: Android-7.0 Android-7.1.1 Android-7.1.2 Android-8.0 Android-8.1 Android-9. Android ID: A-112731440.
References
Vulnerable Configurations
  • Google Android (Nougat) 7.0
    cpe:2.3:o:google:android:7.0
  • Google Android 7.1.1
    cpe:2.3:o:google:android:7.1.1
  • Google Android 7.1.2
    cpe:2.3:o:google:android:7.1.2
  • Google Android 8.0
    cpe:2.3:o:google:android:8.0
  • cpe:2.3:o:google:android:8.1
    cpe:2.3:o:google:android:8.1
  • cpe:2.3:o:google:android:9.0
    cpe:2.3:o:google:android:9.0
CVSS
Base: 4.6
Impact:
Exploitability:
CWE CWE-787
CAPEC
refmap via4
bid 106147
confirm https://source.android.com/security/bulletin/2018-12-01
Last major update 06-12-2018 - 09:29
Published 06-12-2018 - 09:29
Last modified 02-01-2019 - 08:36
Back to Top